Breakage and News tracker for debian testing [buster]

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 19 Jun 2017 02:15

Here's the breakage and news tracker for debian testing (currently : buster)

#Tue Jun 20 10:57:51 WIB 2017
cups-pdf will get removed.
viewtopic.php?f=78&t=6917&p=65566#p65566
gtkhash-common also replaced with browser dependent extension.
viewtopic.php?f=78&t=6917&sid=742086c68417f475cf105f1d45ddad25#p65567

#Mon Jul 10 07:56:21 WIB 2017
not a breakage but we this information should be useful.
there were some changes with apt.
viewtopic.php?f=78&t=6917#p65790

#Tue Jul 11 07:53:21 WIB 2017
you might got some warning about missing firmware. though, it usually harmless and will got fixed later.
viewtopic.php?f=78&t=6917&p=65817#p65807

#Wed Jul 19 07:53:21 WIB 2017
there are some issues with apt keys. it's not a major issue (i.e: apt still work) but you'll see some warning about missing keys when you run 'apt update'. you can read more information about it here : viewtopic.php?f=78&t=6917&p=65933#p65918
grizzler also kind enough to made a script to fix it which you can find here : viewtopic.php?f=78&t=6917&p=65933#p65926

#Wed Aug 16 07:54:21 WIB 2017
Qt4 will get removed. please be cautious for any breakage.
viewtopic.php?f=78&t=6917&start=20#p66207

#Mon Aug 21 08:54:10 WIB 2017
binutils seems broke. though, testing user seems not affected by this issue
viewtopic.php?f=78&t=6917&p=66265#p66265

#Sun Aug 27 08:05:10 WIB 2017
there are some warning regarding coinor. though, you can safely ignore it.
viewtopic.php?f=78&t=6917&p=66294#p66291

#Mon Sep 4 08:09:34 WIB 2017
there are some changes regarding tls and utils-linux
viewtopic.php?f=78&t=6917&p=66364#p66364

#Tue Sep 12 09:19:35 WIB 2017
pulseaudio is broken
viewtopic.php?f=78&t=6917&p=66421#p66421

#Mon Nov 6 09:19:35 WIB 2017
apt-transport-htpps is now got removed. please read the conversation below
viewtopic.php?f=78&t=6917&start=40#p66886
https://juliank.wordpress.com/2017/10/2 ... -uploaded/

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

CURRENT ISSUES

Postby kurotsugi » 19 Jun 2017 02:15

CURRENT/ACTIVE ISSUES
#1
apt cannot read /etc/apt/trusted.gpg. https://bugs.debian.org/867681
there are temporary fix for this issue but you might need to keep wathing this bug.

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

NEWS

Postby kurotsugi » 19 Jun 2017 02:16

IMPORTANT NEWS
#1
Samba services has been removed. if you're a samba user you'll need to activate each samba services (smbd, nmbd, etc) individually.

#2
virtualbox is back in testing. viewtopic.php?f=78&t=6917&start=40#p66336
you can follow this thread to get more news about virtualbox on debian https://bugs.debian.org/cgi-bin/bugrepo ... 794466#189

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 20 Jun 2017 04:04

not really a breakage but it might worth to know it. during update you'll get a warning that cups-pdf will get removed. you can ignore this message since cups-pdf is a dummy package. just make sure that you have "printer-driver-cups-pdf" installed.

Code: Select all

Package: cups-pdf
Version: 2.6.1-22
State: not installed (configuration files remain)
Priority: extra
Section: oldlibs
Maintainer: Debian CUPS Maintainers <debian-printing@lists.debian.org>
Architecture: amd64
Uncompressed Size: 10.2 k
Depends: printer-driver-cups-pdf (= 2.6.1-22)
PreDepends: dpkg (>= 1.17.13)
Provided by: printer-driver-cups-pdf (3.0.1-4)
Description: PDF writer backend for CUPS (dummy transitional package)
 This dummy package is provided to support the transition from cups-pdf to
 printer-driver-cups-pdf and should be removed afterwards.
Homepage: http://www.cups-pdf.de

User avatar
grizzler
Posts: 1885
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Breakage and News tracker for debian testing [buster]

Postby grizzler » 20 Jun 2017 05:22

Similarly, gtkhash-common is no longer required. If you use gtkhash (for computing checksums), a file browser dependent extension is used: caja-gtkhash, nautilus-gtkhash, nemo-gtkhash or thunar-gtkhash.
Frank

SolydX EE 64 - tracking Debian Testing

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 10 Jul 2017 00:56

today apt-listchanges shows this

Code: Select all

apt-listchanges: News
---------------------

apt (1.5~beta1) unstable; urgency=medium

  [ New HTTPS method ]
  The default http method now supports HTTPS itself, including encrypted proxies
  and connecting to HTTPS sites via HTTPS proxies; and the apt-transport-https
  package only provides a "curl+https" method now as a fallback, but will be
  removed shortly. If TLS support is unwanted, it can be disabled overall by
  setting the option Acquire::AllowTLS to "false".

  As for backwards compatibility, the options IssuerCert and SslForceVersion
  are not supported anymore, and any specified certificate files must in the
  PEM format (curl might have allowed DER files as well).

  [ Changes to unauthenticated repositories ]
  The security exception for apt-get to only raise warnings if it encounters
  unauthenticated repositories in the "update" command is gone now, so that it
  will raise errors just like apt and all other apt-based front-ends do since
  at least apt version 1.3.

  It is possible (but STRONGLY ADVISED AGAINST) to revert to the previous
  behaviour of apt-get by setting the option
    Binary::apt-get::Acquire::AllowInsecureRepositories "true";
  See apt-secure(8) manpage for configuration details.

  [ Release Info Changes ]
  If values like Origin, Label, and Codename change in a Release file,
  update fails, or asks a user (if interactive). Various
  --allow-releaseinfo-change are provided for non-interactive use.

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Jul 2017 15:09:23 +0200

AFAIK user doesn't need to do anything but repo/distro maintainer should aware of it.

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 11 Jul 2017 07:23

new kernel has arrived. well...4.11 series actually have been part of the repo for a while but this time they make it as the default kernel. I haven't noticed anything wrong yet but my dmesg throw bunch of errors

Code: Select all

[    0.372310] ACPI Error: Needed type [Reference], found [Integer] ffff9fccf7533900 (20170119/exresop-103)
[    0.372324] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170119/dswexec-461)
[    0.372335] ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Node ffff9fcd8002cf00), AE_AML_OPERAND_TYPE (20170119/psparse-543)
[    7.840450] ip_local_port_range: prefer different parity for start/end values.

AFAIK it's related with the mainboard's firmware so we can safely ignore it. I'll try to dig it later.

User avatar
san-claudio
Posts: 155
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 11 Jul 2017 14:26

Avec l'installation du nouveau noyau 4.11.0-1 :

Code: Select all

/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.11.0-1-amd64
W: Possible missing firmware /lib/firmware/i915/kbl_huc_ver02_00_1810.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_huc_ver01_07_1398.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_huc_ver01_07_1398.bin for module i915
/etc/kernel/postinst.d/zz-update-grub:
Création du fichier de configuration GRUB…
Attachments
maj 20170711.txt
(27.21 KiB) Downloaded 22 times

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 12 Jul 2017 00:52

fortunately that message usually harmless. the firmware usually arrive later.

User avatar
Schoelje
Site Admin
Posts: 8446
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Breakage and News tracker for debian testing [buster]

Postby Schoelje » 13 Jul 2017 17:10

I've uploaded the source for solydx-system-adjustments-10 and solydk-system-adjustments-10 to Github: https://github.com/SolydXK


SolydXK needs you!
Development | Testing | Translations

User avatar
san-claudio
Posts: 155
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 15 Jul 2017 12:27

@Schoelje Comment il faut interpréter cette information ???

Sur la mise à jour du 14 juillet :

Code: Select all

Préparation du dépaquetage de .../solydx-system-adjustments-9_2.8.6_all.deb ...
Dépaquetage de solydx-system-adjustments-9 (2.8.6) sur (2.8.2) ...

Conservation de « détournement de /usr/share/xfce4/backdrops/greybird.svg en /usr/share/xfce4/backdrops/greybird.svg.divert par solydx-system-adjustments-9 »
Conservation de « détournement de /usr/share/xfce4/backdrops/xfce/xfce-teal.jpg en /usr/share/xfce4/backdrops/xfce/xfce-teal.jpg.divert par solydx-system-adjustments-9 »
Conservation de « détournement de /usr/share/xfce4/backdrops/xfce/xfce-blue.jpg en /usr/share/xfce4/backdrops/xfce/xfce-blue.jpg.divert par solydx-system-adjustments-9 »
dpkg-query: erreur: erreur lors de l'écriture de « <sortie standard> »: Relais brisé (pipe)
Attachments
maj 20170714.txt
(5.83 KiB) Downloaded 24 times

User avatar
grizzler
Posts: 1885
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Breakage and News tracker for debian testing [buster]

Postby grizzler » 15 Jul 2017 19:47

FIles from the solydx-system-adjustments-9 package. However, you should really be using the solydx-system-adjustments-10 package now. This will 'upgrade' your EE to buster (replacing that package is really all that my solydfixes script does for an EE...).

If installing solydx-system-adjustments-10 produces errors from solydx-system-adjustments-9 (about those three files), manually remove them (the ones without 'divert' in the name) and try again. If necessary, run sudo dpkg -a --configure
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
san-claudio
Posts: 155
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 15 Jul 2017 20:53

J'ai téléchargé le package ' solydx-system-adjustments-10'. Je l'ai extrait et il y a plusieurs dossiers dans 'solydx-system-adjustments-10-master'.
Mais je ne vois pas comment l'éxécuter ce package avec Git pourriez-vous me donner la marche à suivre si cela est possible et pas trop laborieux vu qu'il y a une version installée.
san-claudio@solydxk ~ $ git --version
git version 2.13.2
Si la manoeuvre est trop délicate et pas assez succincte pour être appliquée et que je ne puisse l'appréhender j'attendrais l'iso final et ferait une nouvelle installation tant que je tourne avec celle-ci sans problème.

User avatar
grizzler
Posts: 1885
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Breakage and News tracker for debian testing [buster]

Postby grizzler » 16 Jul 2017 04:59

Not from git. If your sources.list has a solydxk-ee line, you can simply install it with apt.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
san-claudio
Posts: 155
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 16 Jul 2017 11:37

Ma source.list native :

Code: Select all

deb http://repository.solydxk.com solydxk-ee main upstream import
deb http://httpredir.debian.org/debian testing main contrib non-free
deb http://security.debian.org testing/updates main contrib non-free

Y a-t-il un changement à apporter ???
Sur une grosse mise à jour du 16 juillet rien à signaler.
Attachments
maj 20170716.txt
(22.89 KiB) Downloaded 22 times

User avatar
grizzler
Posts: 1885
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Breakage and News tracker for debian testing [buster]

Postby grizzler » 16 Jul 2017 16:02

No, that sources.list looks fine*) for an EE. Just do an apt install solydx-system-adjustments-10

If you see any errors about those three files that were mentioned earlier during/after removal of solydx-system-adjustments-9 (which should happen automatically when you install -10), just remove them and run apt install -f or sudo dpkg -a --configure

_______________________________
*) Stricktly speaking, httpredir.debian.org should be replaced with deb.debian.org, but it currently redirects to that. Change it at your convenience.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
san-claudio
Posts: 155
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 16 Jul 2017 16:57

OK merci pour 'apt install solydx-system-adjustments-10' quelques retours à vous de juger :

Code: Select all

dpkg-divert: erreur: le renommage implique l'écrasement de « /usr/share/xfce4/backdrops/xfce/xfce-teal.jpg » avec
  un fichier différent « /usr/share/xfce4/backdrops/xfce/xfce-teal.jpg.divert », ce n'est pas autorisé
dpkg: erreur de traitement du paquet solydx-system-adjustments-9 (--remove) :
 le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 2
Des erreurs ont été rencontrées pendant l'exécution :
 solydx-system-adjustments-9
E: Sub-process /usr/bin/dpkg returned an error code (1)

Rien n'a été changé dans la source.list native pour l'instant.
Attachments
maj 20170716 install solydx-system-adjustments-10.txt
(9.12 KiB) Downloaded 23 times

User avatar
grizzler
Posts: 1885
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Breakage and News tracker for debian testing [buster]

Postby grizzler » 16 Jul 2017 18:03

Right, I misread the text file, so I removed my previous message.

There is still an error, but only about one file. That file needs to go too. After that, removing -9 and actually installing -10 should work (it did here anyway).
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
san-claudio
Posts: 155
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 16 Jul 2017 19:14

J'ai fait un remove de -9 et une install de -10 de nouveau, quelques retours.
Attachments
maj 20170716 remove solydx-system-adjustments-9.txt
(4.22 KiB) Downloaded 26 times

kurotsugi
Posts: 1938
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 17 Jul 2017 00:46

either removing that package or using "force" option on apt should work. though, the first is "cleaner" and easier to maintain. manually fix the file as grizzler pointed should works too. I'd say it's the best method to do it.


Return to “Testing zone”

Who is online

Users browsing this forum: No registered users and 6 guests